eVault Management
Vendor Get eVault by ID
Section titled “Vendor Get eVault by ID”This endpoint returns an eVault object. The top-level id is the eVault ID.
HTTP Request
Section titled “HTTP Request”GET https://sandbox.reggora.io/vendor/evault/<evault_id>
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| evault_id | The ID of the evault. |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.get('https://sandbox.reggora.io/vendor/evault/<evault_id>', headers=headers)Example Response
Section titled “Example Response”{ "data": { "id": "5c4f16764672bb00105ea5f9", "documents": [{ "document_name": "test.pdf", "document_id": "24bab39a-4404-11e8-ba10-02420a050006", "upload_datetime": "2018-04-19T15:02:02.157Z" }] }, "status": 200}Vendor Get Document
Section titled “Vendor Get Document”This endpoint returns a file object specified by the evault ID and the document ID.
HTTP Request
Section titled “HTTP Request”GET https://sandbox.reggora.io/vendor/evault/<evault_id>/<document_id>
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| evault_id | The ID of the eVault. |
| document_id | The ID of the document. |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.get('https://sandbox.reggora.io/vendor/evault/<evault_id>/<document_id>', headers=headers)The above command returns a file object. The file sending is implemented with the flask send_file extension.
Vendor Upload Document
Section titled “Vendor Upload Document”This endpoint allows you to upload a document to an evault. The data field in the response is the new document ID.
HTTP Request
Section titled “HTTP Request”PUT https://sandbox.reggora.io/vendor/evault/<evault_id>
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| evault_id | The ID of the eVault. |
Request Body Parameters
Section titled “Request Body Parameters”| Parameter | Description | Required |
|---|---|---|
| file | The file you want to upload | True |
| file_name | The name of the file to be uploaded | False |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
body = { "file": File, # Required "file_name": "my_test.pdf" #This is an optional parameter}
response = requests.put('https://sandbox.reggora.io/vendor/evault/<evault_id>', data=body, headers=headers)Example Response
Section titled “Example Response”{ "data": "24bab39a-4404-11e8-ba10-02420a050006", "status": 200}Vendor Delete Document
Section titled “Vendor Delete Document”This endpoint removes a document from an evault.
HTTP Request
Section titled “HTTP Request”DELETE https://sandbox.reggora.io/vendor/evault/<evault_id>/<document_id>
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| evault_id | The ID of the eVault. |
| document_id | The ID of the document. |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.delete('https://sandbox.reggora.io/vendor/evault/<evault_id>/<document_id>', headers=headers)Example Response
Section titled “Example Response”{ "data": "Your document has been deleted", "status": 200}